commit:     28fee867fc829a7d20395c8b3830615d948e9c3e
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Feb  5 23:18:24 2022 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Feb  5 23:24:15 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=28fee867

dev-libs/icu: Revert "Drop 69.1-r1"

This reverts commit f9e554b249cde1ae33d6e09a9fb0b22bcc9aa9c0.

Bug: https://bugs.gentoo.org/832775
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 dev-libs/icu/Manifest           |   1 +
 dev-libs/icu/icu-69.1-r1.ebuild | 150 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 151 insertions(+)

diff --git a/dev-libs/icu/Manifest b/dev-libs/icu/Manifest
index 28544b0b2812..820d3604cb0b 100644
--- a/dev-libs/icu/Manifest
+++ b/dev-libs/icu/Manifest
@@ -1 +1,2 @@
+DIST icu4c-69_1-src.tgz 24814903 BLAKE2B 
ef95a04e238f0de96e969d580ef64000ab04a4a0003e8f31fd02baab35387d5ab2c4d792ae0d14f3de8e48aa28570237ccd67fb32e03b13d1572e4a995b1de76
 SHA512 
d4aeb781715144ea6e3c6b98df5bbe0490bfa3175221a1d667f3e6851b7bd4a638fa4a37d4a921ccb31f02b5d15a6dded9464d98051964a86f7b1cde0ff0aab7
 DIST icu4c-70_1-src.tgz 25449582 BLAKE2B 
e229376ee45322db99aa963465048ab5e694ce9f0ba335f071817198238de21fcd77dfe3e86ea1394790e2a3b6d96772d1b98cb7dccd6462a9dd05c0ab7bdef0
 SHA512 
0b26ae7207155cb65a8fdb25f7b2fa4431e74b12bccbed0884a17feaae3c96833d12451064dd152197fd6ea5fd3adfd95594284a463e66c82e0d860f645880c9

diff --git a/dev-libs/icu/icu-69.1-r1.ebuild b/dev-libs/icu/icu-69.1-r1.ebuild
new file mode 100644
index 000000000000..6f632a02fd23
--- /dev/null
+++ b/dev-libs/icu/icu-69.1-r1.ebuild
@@ -0,0 +1,150 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+inherit autotools flag-o-matic multilib-minimal python-any-r1 toolchain-funcs
+
+DESCRIPTION="International Components for Unicode"
+HOMEPAGE="http://site.icu-project.org/";
+SRC_URI="https://github.com/unicode-org/icu/releases/download/release-${PV//./-}/icu4c-${PV//./_}-src.tgz";
+
+LICENSE="BSD"
+
+SLOT="0/${PV}"
+
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 
sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris 
~sparc64-solaris ~x64-solaris ~x86-solaris ~x86-winnt"
+IUSE="debug doc examples static-libs"
+
+BDEPEND="${PYTHON_DEPS}
+       virtual/pkgconfig
+       doc? ( app-doc/doxygen[dot] )
+"
+
+S="${WORKDIR}/${PN}/source"
+
+MULTILIB_CHOST_TOOLS=(
+       /usr/bin/icu-config
+)
+
+PATCHES=(
+       "${FILESDIR}/${PN}-65.1-remove-bashisms.patch"
+       "${FILESDIR}/${PN}-64.2-darwin.patch"
+       "${FILESDIR}/${PN}-68.1-nonunicode.patch"
+       # Should be in the next rleease, but check
+       # https://bugs.gentoo.org/788112
+       "${FILESDIR}/${PN}-69.1-fix-ub-units.patch"
+)
+
+src_prepare() {
+       default
+
+       local variable
+
+       # Disable renaming as it is stupid thing to do
+       sed -i \
+               -e "s/#define U_DISABLE_RENAMING 0/#define U_DISABLE_RENAMING 
1/" \
+               common/unicode/uconfig.h || die
+
+       # Fix linking of icudata
+       sed -i \
+               -e "s:LDFLAGSICUDT=-nodefaultlibs -nostdlib:LDFLAGSICUDT=:" \
+               config/mh-linux || die
+
+       # Append doxygen configuration to configure
+       sed -i \
+               -e 's:icudefs.mk:icudefs.mk Doxyfile:' \
+               configure.ac || die
+
+       eautoreconf
+}
+
+src_configure() {
+       append-cxxflags -std=c++14
+
+       if tc-is-cross-compiler; then
+               mkdir "${WORKDIR}"/host || die
+               pushd "${WORKDIR}"/host >/dev/null || die
+
+               CFLAGS="" CXXFLAGS="" ASFLAGS="" LDFLAGS="" \
+               CC="$(tc-getBUILD_CC)" CXX="$(tc-getBUILD_CXX)" 
AR="$(tc-getBUILD_AR)" \
+               RANLIB="$(tc-getBUILD_RANLIB)" LD="$(tc-getBUILD_LD)" \
+               "${S}"/configure --disable-renaming --disable-debug \
+                       --disable-samples --enable-static || die
+               emake
+
+               popd >/dev/null || die
+       fi
+
+       multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+       local myeconfargs=(
+               --disable-renaming
+               --disable-samples
+               --disable-layoutex
+               $(use_enable debug)
+               $(use_enable static-libs static)
+               $(multilib_native_use_enable examples samples)
+       )
+
+       tc-is-cross-compiler && myeconfargs+=(
+               --with-cross-build="${WORKDIR}"/host
+       )
+
+       # work around cross-endian testing failures with LTO #757681
+       if tc-is-cross-compiler && is-flagq '-flto*' ; then
+               myeconfargs+=( --disable-strict )
+       fi
+
+       # icu tries to use clang by default
+       tc-export CC CXX
+
+       # make sure we configure with the same shell as we run icu-config
+       # with, or ECHO_N, ECHO_T and ECHO_C will be wrongly defined
+       export CONFIG_SHELL="${EPREFIX}/bin/sh"
+       # probably have no /bin/sh in prefix-chain
+       [[ -x ${CONFIG_SHELL} ]] || CONFIG_SHELL="${BASH}"
+
+       ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_compile() {
+       default
+
+       if multilib_is_native_abi && use doc; then
+               doxygen -u Doxyfile || die
+               doxygen Doxyfile || die
+       fi
+}
+
+multilib_src_test() {
+       # INTLTEST_OPTS: intltest options
+       #   -e: Exhaustive testing
+       #   -l: Reporting of memory leaks
+       #   -v: Increased verbosity
+       # IOTEST_OPTS: iotest options
+       #   -e: Exhaustive testing
+       #   -v: Increased verbosity
+       # CINTLTST_OPTS: cintltst options
+       #   -e: Exhaustive testing
+       #   -v: Increased verbosity
+       emake -j1 VERBOSE="1" check
+}
+
+multilib_src_install() {
+       default
+
+       if multilib_is_native_abi && use doc; then
+               docinto html
+               dodoc -r doc/html/*
+       fi
+}
+
+multilib_src_install_all() {
+       einstalldocs
+       docinto html
+       dodoc ../readme.html
+}

Reply via email to